%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%     Required content       %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Introduction}\label{sec:introduction}

\subsection{Identification}\label{sec:identification}

This document, identified as \OMIdocumentNumber, is the Software Architecture Document for the Space Weather Back-Office Software. \\

\noindent This document is compiled on \today\ at \currenttime.

\subsection{Purpose and objective}\label{sec:purpose}

This document provides a comprehensive architectural overview of the Space Weather Back-Office (SWBO) Software, using a number of different architectural views to depict different aspects of the system.
It is intended to capture and convey the significant architectural decisions which have been made on the system. \\

\noindent The SWBO software will have a number of closely related purposes (\cite{knmi:swbo:highleveldescription}):

\begin{itemize}
\item Visualisation for real-time monitoring: To help back-office personnel to monitor the current space weather situation by presenting a visualisation of real-time observation and model data, as the data comes in. 
\item Visualisation for space weather training and research: To allow space weather back-office personnel to browse through archived operational as well as scientific space weather data, using visualisations of such data that are the same as that of the real-time monitoring, in order to provide insight in data of past space weather events, as well as possible data quality issues.
\item Library for space weather data research in Python: The software library that manages the storage and retrieval of data for the visualisation described above must also be usable without the visualisation part of the software, from any Python script or Jupyter notebook, for further manipulation of the space weather data for research purposes.
\item External presentation: To allow for back-office personnel to make a selection of space weather visualisations, representative of current space weather or recent space weather events, to be displayed on one or more computer-connected screens in the corridors of the KNMI building. This will be done in order to increase the visibility and awareness of space weather and KNMI's role in the space weather domain. This functionality can also be used to prototype display of space weather status information for the client (government crisis coordination) on a future section of the KNMI web portal.
\item Research to operations: Back-office personnel must be able to add new data parsing and visualisation elements to the software relatively quickly and easily, to test working with new data types and alternative data sources. Such new elements can be made based on the templates of already implemented elements.
\end{itemize}

\subsection{Document overview}\label{sec:overview}

TBW


